Minecraft Launcher now supports opening Minecraft Beta 1.0 and newer, even older versions on the way

testMinecraft has had a long history of updates, and today Mojang is allowing you to relive the olden days of Minecraft. The latest version of the Minecraft Launcher, which will update when you open it, now supports launching Minecraft versions older than 1.5 (the previous limit). The launcher now allows you to run Minecraft Beta 1.0 - 1.8.1, and 1.2.5 - 1.6.2. It's unclear why versions 1.0 to 1.2.4 aren't an option, which is a bit strange (1.9 was never pushed to players, it was a preview release and the finished version was named 1.0).

To use the old versions, open the MC Launcher and click Edit Profile. Then check the boxes for "Allow use of old Alpha minecraft versions" and "Allow use of old Beta minecraft versions." Currently the alpha checkbox does not add versions to the list, presumably because Mojang is still gathering the old versions. Once you have checked the boxes, pick a version from the dropdown menu and click Save Profile. Enjoy the betas!

Source: Twitter

Share this

Previous
Next Post »

3 comments

comments
Erik Boesen
August 1, 2013 at 6:37 AM delete

Hey Corbin, What would I have to do to become an author to PBR?

Reply
avatar
August 2, 2013 at 7:26 AM delete

Now lets wait for earlier versions too..

Reply
avatar
Minecraft Addict
August 2, 2013 at 7:52 AM delete

FARLANDS OR BUST HERE WE COME!!!!!!!!

Reply
avatar